Bug 1559404 - Change the fluentd request timeout to be essentially infinite
Summary: Change the fluentd request timeout to be essentially infinite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.9.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.9.z
Assignee: ewolinet
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks: 1569548 1569550
TreeView+ depends on / blocked
 
Reported: 2018-03-22 13:34 UTC by Peter Portante
Modified: 2018-05-17 06:44 UTC (History)
5 users (show)

Fixed In Version: logging-fluentd-docker-v3.9.22-2
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1569548 1569550 (view as bug list)
Environment:
Last Closed: 2018-05-17 06:43:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1566 None None None 2018-05-17 06:44:07 UTC

Description Peter Portante 2018-03-22 13:34:43 UTC
Currently we default the indexing request timeout for fluentd to 600 seconds.  That is about 10 minutes.  In certain situations, this timeout is not long enough.  If we make this essentially infinite, we'll avoid fluentd pods re-submitting requests unnecessarily.

There should be no concerns about the infinite timeout.  If Elasticsearch is not responding, but has the connection open, then resubmitting the request will not help.

This can adversely affect large clusters with lots of indices, where certain maintenance operations can take longer than 10 minutes.

Comment 4 Anping Li 2018-04-17 04:52:19 UTC
The fix is not in logging-fluentd/images/v3.9.22-1

Comment 10 errata-xmlrpc 2018-05-17 06:43:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1566


Note You need to log in before you can comment on or make changes to this bug.